<?php

namespace App\Enums;

enum MediaTypeEnum: string
{
    case ALL = 'all';
    case PASSPORT_CUSTOMER = 'passport_customer';
    case OBJECT_PHOTO = 'object_photo';
    case OBJECT_FILES = 'object_files';
    case CERTIFICATE = 'certificate';
    case APPRAISER_CERTIFICATE = 'appraiser_certificate';
    case INSURANCE_POLICY = 'insurance_policy';
    case COMPARES = 'compares';
    case PARTICIPATE_CERTIFICATE = 'participate_certificate';
    case ADDITIONAL = 'additional';

    public static function getLabel(string $type): string
    {
        return match($type) {
            'passport_customer'      => 'translation.passport-customer',
            'object_photo'           => 'translation.object-photo',
            'object_files'           => 'translation.object-files',
            'certificate'            => 'translation.certificate',
            'appraiser_certificate'  => 'translation.appraiser-certificate',
            'insurance_policy'       => 'translation.insurance-policy',
            'compares'               => 'translation.compares',
            'participate_certificate'=> 'translation.participate-certificate',
            'additional'             => 'translation.additional',
            default                  => $type,
        };
    }
}
